> For the complete documentation index, see [llms.txt](https://docs.wanchain.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wanchain.org/developers/xflows-api-old/1.5-notes.md).

# 1.5 Notes

1. All EVM address parameters must include the "0x" prefix
2. Amount parameters use string format to avoid precision loss
3. The `amountOut` in the response represents the estimated token amount to receive after all fees deducted.
4. The API automatically performs risk detection, with security status reflected in the `isRisk` field. If `isRisk` is `true`, please DO NOT initiate any transactions.
5. The chainID used by EVM chains is the wallet chainID, for example, ethereum is 1, bsc is 56. The chainID for non-EVM chains is a custom chainID, which can refer to the table below. If it's not in the table, you can press F12 on the network page of the [xflows.wanchain.org](http://xflows.wanchain.org/) website to capture the required chainID value in real-time getQuotes API calls.

| Chain Name | Custom ChainID |
| ---------- | -------------- |
| Solana     | 501            |
| Tron       | 195            |
| Cardano    | 2147485463     |
| Bitcoin    | 2147483648     |
| SUI        | 2147484432     |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wanchain.org/developers/xflows-api-old/1.5-notes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
